Loading...
Searching...
No Matches
pappso::MzCalibrationModel1Cached Class Reference

`#include <mzcalibrationmodel1.h>`

Inheritance diagram for pappso::MzCalibrationModel1Cached:

## Public Member Functions

| MzCalibrationModel1Cached (double T1_frame, double T2_frame, double digitizerTimebase, double digitizerDelay, double C0, double C1, double C2, double C3, double C4, double T1_ref, double T2_ref, double dC1, double dC2)
virtual | ~MzCalibrationModel1Cached ()
virtual double | getMzFromTofIndex (quint32 tof_index) override
| get m/z from time of flight raw index
Public Member Functions inherited from pappso::MzCalibrationModel1
| MzCalibrationModel1 (double T1_frame, double T2_frame, double digitizerTimebase, double digitizerDelay, double C0, double C1, double C2, double C3, double C4, double T1_ref, double T2_ref, double dC1, double dC2)
virtual | ~MzCalibrationModel1 ()
virtual quint32 | getTofIndexFromMz (double mz) override
| get raw TOF index of a given m/z
Public Member Functions inherited from pappso::MzCalibrationInterface
| MzCalibrationInterface (double digitizerTimebase, double digitizerDelay)
virtual | ~MzCalibrationInterface ()
MzCalibrationInterface & | operator= (const MzCalibrationInterface &other)
bool | operator== (const MzCalibrationInterface &other) const
double | getTofFromTofIndex (quint32 tof_index) const
| get time of flight from raw index
double | getTofFromTofIndex (double tof_index) const
| get time of flight from double index

## Private Attributes

double | m_arrMasses [600000] = {0}
quint32 | m_max = 600000

## Additional Inherited Members

Protected Attributes inherited from pappso::MzCalibrationInterface
double | m_digitizerTimebase = 0
double | m_digitizerDelay = 0
std::vector< double > | m_mzCalibrationArr
| MZ calibration parameters.

## Detailed Description

Definition at line 75 of file mzcalibrationmodel1.h.

## Constructor & Destructor Documentation

## MzCalibrationModel1Cached()

pappso::MzCalibrationModel1Cached::MzCalibrationModel1Cached | ( | double | T1_frame,
|  | double | T2_frame,
|  | double | digitizerTimebase,
|  | double | digitizerDelay,
|  | double | C0,
|  | double | C1,
|  | double | C2,
|  | double | C3,
|  | double | C4,
|  | double | T1_ref,
|  | double | T2_ref,
|  | double | dC1,
|  | double | dC2 )

Default constructor

Definition at line 180 of file mzcalibrationmodel1.cpp.

: MzCalibrationModel1(T1_frame,
T2_frame,
digitizerTimebase,
digitizerDelay,
C0,
C1,
C2,
C3,
C4,
T1_ref,
T2_ref,
dC1,
dC2)
{
}
pappso::MzCalibrationModel1::MzCalibrationModel1
MzCalibrationModel1(double T1_frame, double T2_frame, double digitizerTimebase, double digitizerDelay, double C0, double C1, double C2, double C3, double C4, double T1_ref, double T2_ref, double dC1, double dC2)
Definition mzcalibrationmodel1.cpp:38

References pappso::MzCalibrationModel1::MzCalibrationModel1().

## ~MzCalibrationModel1Cached()

pappso::MzCalibrationModel1Cached::~MzCalibrationModel1Cached | ( |  | ) |

virtual

Destructor

Definition at line 209 of file mzcalibrationmodel1.cpp.

{
}

## Member Function Documentation

## getMzFromTofIndex()

double MzCalibrationModel1Cached::getMzFromTofIndex | ( | quint32 | tof_index | ) |

override virtual

get m/z from time of flight raw index

Parameters

  tof_index | time of flight

Returns
  m/z value

Reimplemented from pappso::MzCalibrationModel1.

Definition at line 215 of file mzcalibrationmodel1.cpp.

{
if(m_max > tof_index)
{
if(m_arrMasses[tof_index] == 0)
{
m_arrMasses[tof_index] = MzCalibrationModel1::getMzFromTofIndex(tof_index);
}
return m_arrMasses[tof_index];
}
else
{
return MzCalibrationModel1::getMzFromTofIndex(tof_index);
}
}
pappso::MzCalibrationModel1Cached::m_max
quint32 m_max
Definition mzcalibrationmodel1.h:105
pappso::MzCalibrationModel1Cached::m_arrMasses
double m_arrMasses[600000]
Definition mzcalibrationmodel1.h:104
pappso::MzCalibrationModel1::getMzFromTofIndex
virtual double getMzFromTofIndex(quint32 tof_index) override
get m/z from time of flight raw index
Definition mzcalibrationmodel1.cpp:79

References pappso::MzCalibrationModel1::getMzFromTofIndex(), m_arrMasses, and m_max.

## Member Data Documentation

## m_arrMasses

double pappso::MzCalibrationModel1Cached::m_arrMasses[600000] = {0}

private

Definition at line 104 of file mzcalibrationmodel1.h.

{0};

Referenced by getMzFromTofIndex().

## m_max

quint32 pappso::MzCalibrationModel1Cached::m_max = 600000

private

Definition at line 105 of file mzcalibrationmodel1.h.

Referenced by getMzFromTofIndex().

The documentation for this class was generated from the following files:

- pappsomspp/core/vendors/tims/mzcalibration/mzcalibrationmodel1.h
- pappsomspp/core/vendors/tims/mzcalibration/mzcalibrationmodel1.cpp